/// <reference types="react" />
import type { NamedProps as ReactSelectProps } from 'react-select';
export declare type ICustomTimezone = {
    [key: string]: string;
};
export declare const i18nTimezones: ICustomTimezone;
export declare type TimezoneSelectOption = {
    value: string;
    label: string;
    abbrev?: string;
    altName?: string;
};
export declare type ITimezone = TimezoneSelectOption | string;
export declare type ILabelStyle = 'original' | 'altName' | 'abbrev';
declare type Props = {
    value: ITimezone;
    onChange: (ITimezone: any) => void;
    onBlur?: () => void;
    labelStyle?: ILabelStyle;
    timezones?: ICustomTimezone;
    props?: ReactSelectProps;
};
declare const TimezoneSelect: ({ value, onBlur, onChange, labelStyle, timezones, ...props }: Props) => JSX.Element;
export default TimezoneSelect;
